=== modified file '.bzrignore'
--- .bzrignore	2010-09-30 06:24:20 +0000
+++ .bzrignore	2008-10-03 09:32:30 +0000
@@ -2,6 +2,8 @@
 *.8
 *.8mandos
 confdir
+debian/po/messages.mo
+debian/po/templates.pot
 keydir
 man
 plugin-runner
@@ -10,4 +12,3 @@
 plugins.d/password-prompt
 plugins.d/splashy
 plugins.d/usplash
-plugins.d/plymouth

=== modified file 'Makefile'
--- Makefile	2010-10-11 17:45:21 +0000
+++ Makefile	2010-09-23 20:14:08 +0000
@@ -23,7 +23,7 @@
 OPTIMIZE=-Os
 LANGUAGE=-std=gnu99
 htmldir=man
-version=1.2.3
+version=1.0.14
 SED=sed
 
 ## Use these settings for a traditional /usr/local install

=== modified file 'NEWS'
--- NEWS	2010-10-11 17:45:21 +0000
+++ NEWS	2010-09-09 18:16:14 +0000
@@ -1,46 +1,6 @@
 This NEWS file records noteworthy changes, very tersely.
 See the manual for detailed information.
 
-Version 1.2.3 (2010-10-11)
-* Server:
-** Bug fix: Expose D-Bus API also in non-debug mode.
-
-Version 1.2.2 (2010-10-07)
-* Client:
-** splashy: Minor fix to compile with non-Linux kernels.
-
-Version 1.2.1 (2010-10-02)
-* Server:
-** mandos-monitor(8): Documentation bug fix: Key for removing client
-   is "R", not "r".
-
-Version 1.2 (2010-09-28)
-* Client:
-** New "plymouth" plugin to ask for a password using the Plymouth
-   graphical boot system.
-** The Mandos client now automatically chooses a network interface if
-   the DEVICE setting in /etc/initramfs-tools/initramfs.conf is set to
-   the empty string.  This is also the new default instead of "eth0".
-** The Mandos client --connect option now loops indefinitely until a
-   password is received from the specified server.
-** Bug fix: Quote directory correctly in mandos-keygen with --password
-** Bug fix: don't use "echo -e" in mandos-keygen; unsupported by dash.
-* Server:
-** Terminology change: clients are now "ENABLED" or "DISABLED", not
-   "valid" or "invalid".
-** New D-Bus API; see the file "DBUS-API".
-** New control utilities using the new D-Bus API:
-   + mandos-ctl		       A command-line based utility
-   + mandos-monitor	       A text-based GUI interface
-** New feature: manual interactive approval or denying of clients on a
-   case-by-case basis.
-** New --debuglevel option to control logging
-** Will not write PID file if --debug is passed
-** Bug fix: Avoid race conditions with short "interval" values or
-   fast checkers.
-** Bug fix: Don't try to bind to a network interface when none is
-   specified
-
 Version 1.0.14 (2009-10-25)
 Enable building without -pie and -fPIE if BROKEN_PIE is set.
 

=== modified file 'TODO'
--- TODO	2010-11-16 17:58:49 +0000
+++ TODO	2010-09-26 18:32:58 +0000
@@ -2,8 +2,6 @@
 
 * Use _attribute_((nonnull)) wherever possible.
 
-* mandos-applet
-
 * mandos-client
 ** TODO [#B] use scandir(3) instead of readdir(3)
 ** TODO [#B] Prefix all debug output with "Mandos plugin " + program_invocation_short_name

=== modified file 'common.ent'
--- common.ent	2010-10-11 17:45:21 +0000
+++ common.ent	2010-09-09 18:16:14 +0000
@@ -1,3 +1,3 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!-- Edited by Makefile -->
-<!ENTITY version "1.2.3">
+<!ENTITY version "1.0.14">

=== modified file 'debian/changelog'
--- debian/changelog	2010-10-11 17:45:21 +0000
+++ debian/changelog	2010-09-09 18:16:14 +0000
@@ -1,61 +1,3 @@
-mandos (1.2.3-1) experimental; urgency=low
-
-  * New upstream release.
-
- -- Teddy Hogeborn <teddy@fukt.bsnet.se>  Mon, 11 Oct 2010 19:37:31 +0200
-
-mandos (1.2.2-1) experimental; urgency=low
-
-  * New upstream release.
-  * plugins.d/splashy.c: Only use ELIBBAD if defined. (Closes: #599256)
-
- -- Teddy Hogeborn <teddy@fukt.bsnet.se>  Thu, 07 Oct 2010 20:27:54 +0200
-
-mandos (1.2.1-3) experimental; urgency=low
-
-  * debian/changelog: Include entry for NMU of version 1.0.14-1.1.
-
- -- Teddy Hogeborn <teddy@fukt.bsnet.se>  Tue, 05 Oct 2010 20:58:38 +0200
-
-mandos (1.2.1-2) unstable; urgency=low
-
-  * debian/source/format: New; contains "3.0 (quilt)".  Really.
-
- -- Björn Påhlsson <belorn@fukt.bsnet.se>  Sat, 02 Oct 2010 19:46:59 +0200
-
-mandos (1.2.1-1) unstable; urgency=low
-
-  * New upstream release.
-  * debian/source/format: New; contains "3.0 (quilt)".
-
- -- Björn Påhlsson <belorn@fukt.bsnet.se>  Sat, 02 Oct 2010 19:03:58 +0200
-
-mandos (1.2-1) unstable; urgency=low
-
-  * New upstream release.
-  * Makefile (LINK_FORTIFY_LD): Remove "-fPIE". (Closes: #557076)
-  * debian/control: Add gnupg dependency to "mandos-client" and removed it
-    from "mandos".  Added dependency on "python-urwid" "mandos" since the
-    new "mandos-monitor" utility needs it, and on "python (>=2.6) |
-    python-multiprocessing" since the Mandos server now uses it.
-  * debian/rules: Set BROKEN_PIE on mips and mipsel if a known buggy
-    version of binutils is used.
-  * debian/mandos.docs: Also install "/usr/share/doc/mandos/DBUS-API".
-  * debian/mandos.dirs: Added "etc/dbus-1/system.d".
-  * debian/mandos-client.README.Debian: Update info about DEVICE setting
-    of initramfs.conf.
-  * debian/mandos-client.README.Debian: Remove warning about --connect not
-    looping, since it now does.
-
- -- Teddy Hogeborn <teddy@fukt.bsnet.se>  Tue, 28 Sep 2010 20:46:11 +0200
-
-mandos (1.0.14-1.1) unstable; urgency=low
-
-  * Non-maintainer upload.
-  * Rebuild against libavahi-core-dev (>= 0.6.26-1).
-
- -- Michael Biebl <biebl@debian.org>  Mon, 12 Jul 2010 16:34:34 +0200
-
 mandos (1.0.14-1) unstable; urgency=low (HIGH on mips and mipsel)
 
   * New upstream release.

=== modified file 'debian/control'
--- debian/control	2010-10-01 18:40:55 +0000
+++ debian/control	2010-09-26 18:32:58 +0000
@@ -7,7 +7,7 @@
 Build-Depends: debhelper (>= 7), docbook-xml, docbook-xsl,
 	libavahi-core-dev, libgpgme11-dev, libgnutls-dev, xsltproc,
 	pkg-config
-Standards-Version: 3.9.1
+Standards-Version: 3.8.3
 Vcs-Bzr: http://ftp.fukt.bsnet.se/pub/mandos/trunk
 Vcs-Browser: http://bzr.fukt.bsnet.se/loggerhead/mandos/trunk/files
 Homepage: http://www.fukt.bsnet.se/mandos

=== modified file 'debian/mandos-client.README.Debian'
--- debian/mandos-client.README.Debian	2010-09-27 17:53:53 +0000
+++ debian/mandos-client.README.Debian	2010-09-26 18:32:58 +0000
@@ -76,6 +76,9 @@
   instead of using ZeroConf.  The syntax for doing this is
   "mandos=connect:<IP_ADDRESS>:<PORT_NUMBER>".
   
+  Warning: this will cause the client to make exactly one attempt at
+  connecting, and then fail if it does not succeed.
+  
   For very advanced users, it it possible to specify simply
   "mandos=connect" on the kernel command line to make the system only
   set up the network (using the data in the "ip=" option) and not pass
@@ -83,4 +86,4 @@
   work, "--options-for=mandos-client:--connect=<ADDRESS>:<PORT>" needs
   to be manually added to the file "/etc/mandos/plugin-runner.conf".
 
- -- Teddy Hogeborn <teddy@fukt.bsnet.se>, Mon, 27 Sep 2010 19:53:21 +0200
+ -- Teddy Hogeborn <teddy@fukt.bsnet.se>, Sun, 26 Sep 2010 20:08:05 +0200

=== modified file 'debian/mandos-client.lintian-overrides'
--- debian/mandos-client.lintian-overrides	2010-10-13 06:12:52 +0000
+++ debian/mandos-client.lintian-overrides	2009-01-18 06:41:57 +0000
@@ -19,7 +19,6 @@
 mandos-client binary: setuid-binary usr/lib/mandos/plugins.d/askpass-fifo 4755 root/root
 mandos-client binary: setuid-binary usr/lib/mandos/plugins.d/splashy 4755 root/root
 mandos-client binary: setuid-binary usr/lib/mandos/plugins.d/usplash 4755 root/root
-mandos-client binary: setuid-binary usr/lib/mandos/plugins.d/plymouth 4755 root/root
 
 # The directory /etc/mandos/plugins.d can be used by local system
 # administrators to place plugins in, overriding and complementing

=== removed directory 'debian/source'
=== removed file 'debian/source/format'
--- debian/source/format	2010-10-02 17:41:05 +0000
+++ debian/source/format	1970-01-01 00:00:00 +0000
@@ -1,1 +0,0 @@
-3.0 (quilt)

=== modified file 'mandos'
--- mandos	2010-10-13 17:33:08 +0000
+++ mandos	2010-09-26 18:32:58 +0000
@@ -81,7 +81,7 @@
         SO_BINDTODEVICE = None
 
 
-version = "1.2.3"
+version = "1.0.14"
 
 #logger = logging.getLogger(u'mandos')
 logger = logging.Logger(u'mandos')
@@ -204,7 +204,7 @@
         if state == avahi.ENTRY_GROUP_ESTABLISHED:
             logger.debug(u"Zeroconf service established.")
         elif state == avahi.ENTRY_GROUP_COLLISION:
-            logger.info(u"Zeroconf service name collision.")
+            logger.warning(u"Zeroconf service name collision.")
             self.rename()
         elif state == avahi.ENTRY_GROUP_FAILURE:
             logger.critical(u"Avahi: Error in group state changed %s",
@@ -1684,7 +1684,7 @@
     parser.add_option("--debug", action=u"store_true",
                       help=u"Debug mode; run in foreground and log to"
                       u" terminal")
-    parser.add_option("--debuglevel", type=u"string", metavar="LEVEL",
+    parser.add_option("--debuglevel", type=u"string", metavar="Level",
                       help=u"Debug level for stdout output")
     parser.add_option("--priority", type=u"string", help=u"GnuTLS"
                       u" priority string (see GnuTLS documentation)")
@@ -1847,10 +1847,6 @@
         # No console logging
         logger.removeHandler(console)
     
-    # Need to fork before connecting to D-Bus
-    if not debug:
-        # Close all input and output, do double fork, etc.
-        daemon()
     
     global main_loop
     # From the Avahi example code
@@ -1874,7 +1870,11 @@
     if server_settings["interface"]:
         service.interface = (if_nametoindex
                              (str(server_settings[u"interface"])))
-    
+
+    if not debug:
+        # Close all input and output, do double fork, etc.
+        daemon()
+        
     global multiprocessing_manager
     multiprocessing_manager = multiprocessing.Manager()
     

=== modified file 'mandos-clients.conf.xml'
--- mandos-clients.conf.xml	2010-09-27 18:57:12 +0000
+++ mandos-clients.conf.xml	2010-09-26 18:32:58 +0000
@@ -357,28 +357,10 @@
 	<quote><literal>%%(<replaceable>foo</replaceable>)s</literal
 	></quote> will be replaced by the value of the attribute
 	<varname>foo</varname> of the internal
-	<quote><classname>Client</classname></quote> object in the
-	Mandos server.  The currently allowed values for
-	<replaceable>foo</replaceable> are:
-	<quote><literal>approval_delay</literal></quote>,
-	<quote><literal>approval_duration</literal></quote>,
-	<quote><literal>created</literal></quote>,
-	<quote><literal>enabled</literal></quote>,
-	<quote><literal>fingerprint</literal></quote>,
-	<quote><literal>host</literal></quote>,
-	<quote><literal>interval</literal></quote>,
-	<quote><literal>last_approval_request</literal></quote>,
-	<quote><literal>last_checked_ok</literal></quote>,
-	<quote><literal>last_enabled</literal></quote>,
-	<quote><literal>name</literal></quote>,
-	<quote><literal>timeout</literal></quote>, and, if using
-	D-Bus, <quote><literal>dbus_object_path</literal></quote>.
-	See the source code for details.  <emphasis role="strong"
-	>Currently, <emphasis>none</emphasis> of these attributes
-	except <quote><literal>host</literal></quote> are guaranteed
-	to be valid in future versions.</emphasis> Therefore, please
-	let the authors know of any attributes that are useful so they
-	may be preserved to any new versions of this software.
+	<quote><classname>Client</classname></quote> object.  See the
+	source code for details, and let the authors know of any
+	attributes that are useful so they may be preserved to any new
+	versions of this software.
       </para>
       <para>
 	Note that this means that, in order to include an actual

=== modified file 'mandos-ctl'
--- mandos-ctl	2010-10-11 17:45:21 +0000
+++ mandos-ctl	2010-09-26 18:32:58 +0000
@@ -57,7 +57,7 @@
 server_path = '/'
 server_interface = domain + '.Mandos'
 client_interface = domain + '.Mandos.Client'
-version = "1.2.3"
+version = "1.0.14"
 
 def timedelta_to_milliseconds(td):
     "Convert a datetime.timedelta object to milliseconds"

=== modified file 'mandos-keygen'
--- mandos-keygen	2010-10-11 17:45:21 +0000
+++ mandos-keygen	2010-09-26 18:32:58 +0000
@@ -21,7 +21,7 @@
 # Contact the authors at <mandos@fukt.bsnet.se>.
 # 
 
-VERSION="1.2.3"
+VERSION="1.0.14"
 
 KEYDIR="/etc/keys/mandos"
 KEYTYPE=DSA
@@ -195,8 +195,6 @@
 stty echo; \
 " EXIT
 
-set -e
-
 umask 077
 
 if [ "$mode" = keygen ]; then

=== modified file 'mandos-monitor'
--- mandos-monitor	2011-02-11 19:02:24 +0000
+++ mandos-monitor	2010-09-26 18:32:58 +0000
@@ -22,7 +22,7 @@
 # Contact the authors at <mandos@fukt.bsnet.se>.
 # 
 
-from __future__ import division, absolute_import, print_function, unicode_literals
+from __future__ import division, absolute_import, with_statement
 
 import sys
 import os
@@ -42,7 +42,7 @@
 
 import locale
 
-locale.setlocale(locale.LC_ALL, '')
+locale.setlocale(locale.LC_ALL, u'')
 
 import logging
 logging.getLogger('dbus.proxies').setLevel(logging.CRITICAL)
@@ -51,7 +51,7 @@
 domain = 'se.bsnet.fukt'
 server_interface = domain + '.Mandos'
 client_interface = domain + '.Mandos.Client'
-version = "1.2.3"
+version = "1.0.15"
 
 # Always run in monochrome mode
 urwid.curses_display.curses.has_colors = lambda : False
@@ -65,9 +65,9 @@
     "Parse an ISO 8601 date string to a datetime.datetime()"
     if not iso:
         return None
-    d, t = iso.split("T", 1)
-    year, month, day = d.split("-", 2)
-    hour, minute, second = t.split(":", 2)
+    d, t = iso.split(u"T", 1)
+    year, month, day = d.split(u"-", 2)
+    hour, minute, second = t.split(u":", 2)
     second, fraction = divmod(float(second), 1)
     return datetime.datetime(int(year),
                              int(month),
@@ -86,7 +86,7 @@
         self.proxy = proxy_object # Mandos Client proxy object
         
         self.properties = dict()
-        self.proxy.connect_to_signal("PropertyChanged",
+        self.proxy.connect_to_signal(u"PropertyChanged",
                                      self.property_changed,
                                      client_interface,
                                      byte_arrays=True)
@@ -127,9 +127,9 @@
         self.last_checker_failed = False
         
         # The widget shown normally
-        self._text_widget = urwid.Text("")
+        self._text_widget = urwid.Text(u"")
         # The widget shown when we have focus
-        self._focus_text_widget = urwid.Text("")
+        self._focus_text_widget = urwid.Text(u"")
         super(MandosClientWidget, self).__init__(
             update_hook=update_hook, delete_hook=delete_hook,
             *args, **kwargs)
@@ -137,7 +137,7 @@
         self.opened = False
         
         last_checked_ok = isoformat_to_datetime(self.properties
-                                                ["LastCheckedOK"])
+                                                [u"LastCheckedOK"])
         if last_checked_ok is None:
             self.last_checker_failed = True
         else:
@@ -146,7 +146,7 @@
                                         > datetime.timedelta
                                         (milliseconds=
                                          self.properties
-                                         ["Interval"]))
+                                         [u"Interval"]))
         
         if self.last_checker_failed:
             self.using_timer(True)
@@ -154,23 +154,23 @@
         if self.need_approval:
             self.using_timer(True)
         
-        self.proxy.connect_to_signal("CheckerCompleted",
+        self.proxy.connect_to_signal(u"CheckerCompleted",
                                      self.checker_completed,
                                      client_interface,
                                      byte_arrays=True)
-        self.proxy.connect_to_signal("CheckerStarted",
+        self.proxy.connect_to_signal(u"CheckerStarted",
                                      self.checker_started,
                                      client_interface,
                                      byte_arrays=True)
-        self.proxy.connect_to_signal("GotSecret",
+        self.proxy.connect_to_signal(u"GotSecret",
                                      self.got_secret,
                                      client_interface,
                                      byte_arrays=True)
-        self.proxy.connect_to_signal("NeedApproval",
+        self.proxy.connect_to_signal(u"NeedApproval",
                                      self.need_approval,
                                      client_interface,
                                      byte_arrays=True)
-        self.proxy.connect_to_signal("Rejected",
+        self.proxy.connect_to_signal(u"Rejected",
                                      self.rejected,
                                      client_interface,
                                      byte_arrays=True)
@@ -178,7 +178,7 @@
     def property_changed(self, property=None, value=None):
         super(self, MandosClientWidget).property_changed(property,
                                                          value)
-        if property == "ApprovalPending":
+        if property == u"ApprovalPending":
             using_timer(bool(value))
         
     def using_timer(self, flag):
@@ -203,9 +203,9 @@
             if self.last_checker_failed:
                 self.last_checker_failed = False
                 self.using_timer(False)
-            #self.logger('Checker for client %s (command "%s")'
-            #            ' was successful'
-            #            % (self.properties["Name"], command))
+            #self.logger(u'Checker for client %s (command "%s")'
+            #            u' was successful'
+            #            % (self.properties[u"Name"], command))
             self.update()
             return
         # Checker failed
@@ -213,57 +213,57 @@
             self.last_checker_failed = True
             self.using_timer(True)
         if os.WIFEXITED(condition):
-            self.logger('Checker for client %s (command "%s")'
-                        ' failed with exit code %s'
-                        % (self.properties["Name"], command,
+            self.logger(u'Checker for client %s (command "%s")'
+                        u' failed with exit code %s'
+                        % (self.properties[u"Name"], command,
                            os.WEXITSTATUS(condition)))
         elif os.WIFSIGNALED(condition):
-            self.logger('Checker for client %s (command "%s")'
-                        ' was killed by signal %s'
-                        % (self.properties["Name"], command,
+            self.logger(u'Checker for client %s (command "%s")'
+                        u' was killed by signal %s'
+                        % (self.properties[u"Name"], command,
                            os.WTERMSIG(condition)))
         elif os.WCOREDUMP(condition):
-            self.logger('Checker for client %s (command "%s")'
-                        ' dumped core'
-                        % (self.properties["Name"], command))
+            self.logger(u'Checker for client %s (command "%s")'
+                        u' dumped core'
+                        % (self.properties[u"Name"], command))
         else:
-            self.logger('Checker for client %s completed'
-                        ' mysteriously')
+            self.logger(u'Checker for client %s completed'
+                        u' mysteriously')
         self.update()
     
     def checker_started(self, command):
-        #self.logger('Client %s started checker "%s"'
-        #            % (self.properties["Name"], unicode(command)))
+        #self.logger(u'Client %s started checker "%s"'
+        #            % (self.properties[u"Name"], unicode(command)))
         pass
     
     def got_secret(self):
         self.last_checker_failed = False
-        self.logger('Client %s received its secret'
-                    % self.properties["Name"])
+        self.logger(u'Client %s received its secret'
+                    % self.properties[u"Name"])
     
     def need_approval(self, timeout, default):
         if not default:
-            message = 'Client %s needs approval within %s seconds'
+            message = u'Client %s needs approval within %s seconds'
         else:
-            message = 'Client %s will get its secret in %s seconds'
+            message = u'Client %s will get its secret in %s seconds'
         self.logger(message
-                    % (self.properties["Name"], timeout/1000))
+                    % (self.properties[u"Name"], timeout/1000))
         self.using_timer(True)
     
     def rejected(self, reason):
-        self.logger('Client %s was rejected; reason: %s'
-                    % (self.properties["Name"], reason))
+        self.logger(u'Client %s was rejected; reason: %s'
+                    % (self.properties[u"Name"], reason))
     
     def selectable(self):
         """Make this a "selectable" widget.
         This overrides the method from urwid.FlowWidget."""
         return True
     
-    def rows(self, maxcolrow, focus=False):
+    def rows(self, (maxcol,), focus=False):
         """How many rows this widget will occupy might depend on
         whether we have focus or not.
         This overrides the method from urwid.FlowWidget"""
-        return self.current_widget(focus).rows(maxcolrow, focus=focus)
+        return self.current_widget(focus).rows((maxcol,), focus=focus)
     
     def current_widget(self, focus=False):
         if focus or self.opened:
@@ -273,56 +273,56 @@
     def update(self):
         "Called when what is visible on the screen should be updated."
         # How to add standout mode to a style
-        with_standout = { "normal": "standout",
-                          "bold": "bold-standout",
-                          "underline-blink":
-                              "underline-blink-standout",
-                          "bold-underline-blink":
-                              "bold-underline-blink-standout",
+        with_standout = { u"normal": u"standout",
+                          u"bold": u"bold-standout",
+                          u"underline-blink":
+                              u"underline-blink-standout",
+                          u"bold-underline-blink":
+                              u"bold-underline-blink-standout",
                           }
 
         # Rebuild focus and non-focus widgets using current properties
 
         # Base part of a client. Name!
-        base = ('%(name)s: '
-                      % {"name": self.properties["Name"]})
-        if not self.properties["Enabled"]:
-            message = "DISABLED"
-        elif self.properties["ApprovalPending"]:
+        base = (u'%(name)s: '
+                      % {u"name": self.properties[u"Name"]})
+        if not self.properties[u"Enabled"]:
+            message = u"DISABLED"
+        elif self.properties[u"ApprovalPending"]:
             timeout = datetime.timedelta(milliseconds
                                          = self.properties
-                                         ["ApprovalDelay"])
+                                         [u"ApprovalDelay"])
             last_approval_request = isoformat_to_datetime(
-                self.properties["LastApprovalRequest"])
+                self.properties[u"LastApprovalRequest"])
             if last_approval_request is not None:
                 timer = timeout - (datetime.datetime.utcnow()
                                    - last_approval_request)
             else:
                 timer = datetime.timedelta()
-            if self.properties["ApprovedByDefault"]:
-                message = "Approval in %s. (d)eny?"
+            if self.properties[u"ApprovedByDefault"]:
+                message = u"Approval in %s. (d)eny?"
             else:
-                message = "Denial in %s. (a)pprove?"
+                message = u"Denial in %s. (a)pprove?"
             message = message % unicode(timer).rsplit(".", 1)[0]
         elif self.last_checker_failed:
             timeout = datetime.timedelta(milliseconds
                                          = self.properties
-                                         ["Timeout"])
+                                         [u"Timeout"])
             last_ok = isoformat_to_datetime(
-                max((self.properties["LastCheckedOK"]
-                     or self.properties["Created"]),
-                    self.properties["LastEnabled"]))
+                max((self.properties[u"LastCheckedOK"]
+                     or self.properties[u"Created"]),
+                    self.properties[u"LastEnabled"]))
             timer = timeout - (datetime.datetime.utcnow() - last_ok)
-            message = ('A checker has failed! Time until client'
-                       ' gets disabled: %s'
+            message = (u'A checker has failed! Time until client'
+                       u' gets disabled: %s'
                            % unicode(timer).rsplit(".", 1)[0])
         else:
-            message = "enabled"
+            message = u"enabled"
         self._text = "%s%s" % (base, message)
             
         if not urwid.supports_unicode():
             self._text = self._text.encode("ascii", "replace")
-        textlist = [("normal", self._text)]
+        textlist = [(u"normal", self._text)]
         self._text_widget.set_text(textlist)
         self._focus_text_widget.set_text([(with_standout[text[0]],
                                            text[1])
@@ -348,40 +348,40 @@
         if self.delete_hook is not None:
             self.delete_hook(self)
     
-    def render(self, maxcolrow, focus=False):
+    def render(self, (maxcol,), focus=False):
         """Render differently if we have focus.
         This overrides the method from urwid.FlowWidget"""
-        return self.current_widget(focus).render(maxcolrow,
+        return self.current_widget(focus).render((maxcol,),
                                                  focus=focus)
     
-    def keypress(self, maxcolrow, key):
+    def keypress(self, (maxcol,), key):
         """Handle keys.
         This overrides the method from urwid.FlowWidget"""
-        if key == "+":
+        if key == u"+":
             self.proxy.Enable(dbus_interface = client_interface)
-        elif key == "-":
+        elif key == u"-":
             self.proxy.Disable(dbus_interface = client_interface)
-        elif key == "a":
+        elif key == u"a":
             self.proxy.Approve(dbus.Boolean(True, variant_level=1),
                                dbus_interface = client_interface)
-        elif key == "d":
+        elif key == u"d":
             self.proxy.Approve(dbus.Boolean(False, variant_level=1),
                                   dbus_interface = client_interface)
-        elif key == "R" or key == "_" or key == "ctrl k":
+        elif key == u"r" or key == u"_" or key == u"ctrl k":
             self.server_proxy_object.RemoveClient(self.proxy
                                                   .object_path)
-        elif key == "s":
+        elif key == u"s":
             self.proxy.StartChecker(dbus_interface = client_interface)
-        elif key == "S":
+        elif key == u"S":
             self.proxy.StopChecker(dbus_interface = client_interface)
-        elif key == "C":
+        elif key == u"C":
             self.proxy.CheckedOK(dbus_interface = client_interface)
         # xxx
-#         elif key == "p" or key == "=":
+#         elif key == u"p" or key == "=":
 #             self.proxy.pause()
-#         elif key == "u" or key == ":":
+#         elif key == u"u" or key == ":":
 #             self.proxy.unpause()
-#         elif key == "RET":
+#         elif key == u"RET":
 #             self.open()
         else:
             return key
@@ -403,9 +403,10 @@
     "down" key presses, thus not allowing any containing widgets to
     use them as an excuse to shift focus away from this widget.
     """
-    def keypress(self, maxcolrow, key):
-        ret = super(ConstrainedListBox, self).keypress(maxcolrow, key)
-        if ret in ("up", "down"):
+    def keypress(self, (maxcol, maxrow), key):
+        ret = super(ConstrainedListBox, self).keypress((maxcol,
+                                                        maxrow), key)
+        if ret in (u"up", u"down"):
             return
         return ret
 
@@ -420,31 +421,31 @@
         self.screen = urwid.curses_display.Screen()
         
         self.screen.register_palette((
-                ("normal",
-                 "default", "default", None),
-                ("bold",
-                 "default", "default", "bold"),
-                ("underline-blink",
-                 "default", "default", "underline"),
-                ("standout",
-                 "default", "default", "standout"),
-                ("bold-underline-blink",
-                 "default", "default", ("bold", "underline")),
-                ("bold-standout",
-                 "default", "default", ("bold", "standout")),
-                ("underline-blink-standout",
-                 "default", "default", ("underline", "standout")),
-                ("bold-underline-blink-standout",
-                 "default", "default", ("bold", "underline",
-                                          "standout")),
+                (u"normal",
+                 u"default", u"default", None),
+                (u"bold",
+                 u"default", u"default", u"bold"),
+                (u"underline-blink",
+                 u"default", u"default", u"underline"),
+                (u"standout",
+                 u"default", u"default", u"standout"),
+                (u"bold-underline-blink",
+                 u"default", u"default", (u"bold", u"underline")),
+                (u"bold-standout",
+                 u"default", u"default", (u"bold", u"standout")),
+                (u"underline-blink-standout",
+                 u"default", u"default", (u"underline", u"standout")),
+                (u"bold-underline-blink-standout",
+                 u"default", u"default", (u"bold", u"underline",
+                                          u"standout")),
                 ))
         
         if urwid.supports_unicode():
-            self.divider = "─" # \u2500
-            #self.divider = "━" # \u2501
+            self.divider = u"─" # \u2500
+            #self.divider = u"━" # \u2501
         else:
-            #self.divider = "-" # \u002d
-            self.divider = "_" # \u005f
+            #self.divider = u"-" # \u002d
+            self.divider = u"_" # \u005f
         
         self.screen.start()
         
@@ -464,19 +465,19 @@
         # This keeps track of whether self.uilist currently has
         # self.logbox in it or not
         self.log_visible = True
-        self.log_wrap = "any"
+        self.log_wrap = u"any"
         
         self.rebuild()
-        self.log_message_raw(("bold",
-                              "Mandos Monitor version " + version))
-        self.log_message_raw(("bold",
-                              "q: Quit  ?: Help"))
+        self.log_message_raw((u"bold",
+                              u"Mandos Monitor version " + version))
+        self.log_message_raw((u"bold",
+                              u"q: Quit  ?: Help"))
         
         self.busname = domain + '.Mandos'
         self.main_loop = gobject.MainLoop()
         self.bus = dbus.SystemBus()
         mandos_dbus_objc = self.bus.get_object(
-            self.busname, "/", follow_name_owner_changes=True)
+            self.busname, u"/", follow_name_owner_changes=True)
         self.mandos_serv = dbus.Interface(mandos_dbus_objc,
                                           dbus_interface
                                           = server_interface)
@@ -487,17 +488,17 @@
             mandos_clients = dbus.Dictionary()
         
         (self.mandos_serv
-         .connect_to_signal("ClientRemoved",
+         .connect_to_signal(u"ClientRemoved",
                             self.find_and_remove_client,
                             dbus_interface=server_interface,
                             byte_arrays=True))
         (self.mandos_serv
-         .connect_to_signal("ClientAdded",
+         .connect_to_signal(u"ClientAdded",
                             self.add_new_client,
                             dbus_interface=server_interface,
                             byte_arrays=True))
         (self.mandos_serv
-         .connect_to_signal("ClientNotFound",
+         .connect_to_signal(u"ClientNotFound",
                             self.client_not_found,
                             dbus_interface=server_interface,
                             byte_arrays=True))
@@ -518,8 +519,8 @@
                             path=path)
     
     def client_not_found(self, fingerprint, address):
-        self.log_message(("Client with address %s and fingerprint %s"
-                          " could not be found" % (address,
+        self.log_message((u"Client with address %s and fingerprint %s"
+                          u" could not be found" % (address,
                                                     fingerprint)))
     
     def rebuild(self):
@@ -541,7 +542,7 @@
     
     def log_message(self, message):
         timestamp = datetime.datetime.now().isoformat()
-        self.log_message_raw(timestamp + ": " + message)
+        self.log_message_raw(timestamp + u": " + message)
     
     def log_message_raw(self, markup):
         """Add a log message to the log buffer."""
@@ -550,26 +551,26 @@
             and len(self.log) > self.max_log_length):
             del self.log[0:len(self.log)-self.max_log_length-1]
         self.logbox.set_focus(len(self.logbox.body.contents),
-                              coming_from="above")
+                              coming_from=u"above")
         self.refresh()
     
     def toggle_log_display(self):
         """Toggle visibility of the log buffer."""
         self.log_visible = not self.log_visible
         self.rebuild()
-        #self.log_message("Log visibility changed to: "
+        #self.log_message(u"Log visibility changed to: "
         #                 + unicode(self.log_visible))
     
     def change_log_display(self):
         """Change type of log display.
         Currently, this toggles wrapping of text lines."""
-        if self.log_wrap == "clip":
-            self.log_wrap = "any"
+        if self.log_wrap == u"clip":
+            self.log_wrap = u"any"
         else:
-            self.log_wrap = "clip"
+            self.log_wrap = u"clip"
         for textwidget in self.log:
             textwidget.set_wrap_mode(self.log_wrap)
-        #self.log_message("Wrap mode: " + self.log_wrap)
+        #self.log_message(u"Wrap mode: " + self.log_wrap)
     
     def find_and_remove_client(self, path, name):
         """Find an client from its object path and remove it.
@@ -602,7 +603,7 @@
         if path is None:
             path = client.proxy.object_path
         self.clients_dict[path] = client
-        self.clients.sort(None, lambda c: c.properties["Name"])
+        self.clients.sort(None, lambda c: c.properties[u"Name"])
         self.refresh()
     
     def remove_client(self, client, path=None):
@@ -639,15 +640,15 @@
     
     def process_input(self, source, condition):
         keys = self.screen.get_input()
-        translations = { "ctrl n": "down",      # Emacs
-                         "ctrl p": "up",        # Emacs
-                         "ctrl v": "page down", # Emacs
-                         "meta v": "page up",   # Emacs
-                         " ": "page down",      # less
-                         "f": "page down",      # less
-                         "b": "page up",        # less
-                         "j": "down",           # vi
-                         "k": "up",             # vi
+        translations = { u"ctrl n": u"down",      # Emacs
+                         u"ctrl p": u"up",        # Emacs
+                         u"ctrl v": u"page down", # Emacs
+                         u"meta v": u"page up",   # Emacs
+                         u" ": u"page down",      # less
+                         u"f": u"page down",      # less
+                         u"b": u"page up",        # less
+                         u"j": u"down",           # vi
+                         u"k": u"up",             # vi
                          }
         for key in keys:
             try:
@@ -655,66 +656,66 @@
             except KeyError:    # :-)
                 pass
             
-            if key == "q" or key == "Q":
+            if key == u"q" or key == u"Q":
                 self.stop()
                 break
-            elif key == "window resize":
+            elif key == u"window resize":
                 self.size = self.screen.get_cols_rows()
                 self.refresh()
-            elif key == "\f":  # Ctrl-L
+            elif key == u"\f":  # Ctrl-L
                 self.refresh()
-            elif key == "l" or key == "D":
+            elif key == u"l" or key == u"D":
                 self.toggle_log_display()
                 self.refresh()
-            elif key == "w" or key == "i":
+            elif key == u"w" or key == u"i":
                 self.change_log_display()
                 self.refresh()
-            elif key == "?" or key == "f1" or key == "esc":
+            elif key == u"?" or key == u"f1" or key == u"esc":
                 if not self.log_visible:
                     self.log_visible = True
                     self.rebuild()
-                self.log_message_raw(("bold",
-                                      "  ".
-                                      join(("q: Quit",
-                                            "?: Help",
-                                            "l: Log window toggle",
-                                            "TAB: Switch window",
-                                            "w: Wrap (log)"))))
-                self.log_message_raw(("bold",
-                                      "  "
-                                      .join(("Clients:",
-                                             "+: Enable",
-                                             "-: Disable",
-                                             "R: Remove",
-                                             "s: Start new checker",
-                                             "S: Stop checker",
-                                             "C: Checker OK",
-                                             "a: Approve",
-                                             "d: Deny"))))
+                self.log_message_raw((u"bold",
+                                      u"  ".
+                                      join((u"q: Quit",
+                                            u"?: Help",
+                                            u"l: Log window toggle",
+                                            u"TAB: Switch window",
+                                            u"w: Wrap (log)"))))
+                self.log_message_raw((u"bold",
+                                      u"  "
+                                      .join((u"Clients:",
+                                             u"+: Enable",
+                                             u"-: Disable",
+                                             u"r: Remove",
+                                             u"s: Start new checker",
+                                             u"S: Stop checker",
+                                             u"C: Checker OK",
+                                             u"a: Approve",
+                                             u"d: Deny"))))
                 self.refresh()
-            elif key == "tab":
+            elif key == u"tab":
                 if self.topwidget.get_focus() is self.logbox:
                     self.topwidget.set_focus(0)
                 else:
                     self.topwidget.set_focus(self.logbox)
                 self.refresh()
-            #elif (key == "end" or key == "meta >" or key == "G"
-            #      or key == ">"):
+            #elif (key == u"end" or key == u"meta >" or key == u"G"
+            #      or key == u">"):
             #    pass            # xxx end-of-buffer
-            #elif (key == "home" or key == "meta <" or key == "g"
-            #      or key == "<"):
+            #elif (key == u"home" or key == u"meta <" or key == u"g"
+            #      or key == u"<"):
             #    pass            # xxx beginning-of-buffer
-            #elif key == "ctrl e" or key == "$":
+            #elif key == u"ctrl e" or key == u"$":
             #    pass            # xxx move-end-of-line
-            #elif key == "ctrl a" or key == "^":
+            #elif key == u"ctrl a" or key == u"^":
             #    pass            # xxx move-beginning-of-line
-            #elif key == "ctrl b" or key == "meta (" or key == "h":
+            #elif key == u"ctrl b" or key == u"meta (" or key == u"h":
             #    pass            # xxx left
-            #elif key == "ctrl f" or key == "meta )" or key == "l":
+            #elif key == u"ctrl f" or key == u"meta )" or key == u"l":
             #    pass            # xxx right
-            #elif key == "a":
+            #elif key == u"a":
             #    pass            # scroll up log
-            #elif key == "z":
+            #elif key == u"z":
             #    pass            # scroll down log
             elif self.topwidget.selectable():
                 self.topwidget.keypress(self.size, key)

=== modified file 'mandos-monitor.xml'
--- mandos-monitor.xml	2010-09-30 06:24:20 +0000
+++ mandos-monitor.xml	2010-09-14 18:22:03 +0000
@@ -167,7 +167,7 @@
 	<entry>Deny client</entry>
       </row>
       <row>
-	<entry>R, _, Ctrl-K</entry>
+	<entry>r, _, Ctrl-K</entry>
 	<entry>Remove client</entry>
       </row>
       <row>

=== modified file 'mandos.lsm'
--- mandos.lsm	2010-10-11 17:45:21 +0000
+++ mandos.lsm	2010-09-14 18:22:03 +0000
@@ -1,7 +1,7 @@
 Begin4
 Title:		Mandos
-Version:	1.2.3
-Entered-date:	2010-10-11
+Version:	1.0.14
+Entered-date:	2010-09-14
 Description:	The Mandos system allows computers to have encrypted
 root file systems and at the same time be capable of remote and/or
 unattended reboots.
@@ -12,9 +12,9 @@
 Maintained-by:	teddy@fukt.bsnet.se (Teddy Hogeborn),
 		belorn@fukt.bsnet.se (Björn Påhlsson)
 Primary-site: http://www.fukt.bsnet.se/mandos
-	      133K mandos_1.2.3.orig.tar.gz
+	      103K mandos_1.0.14.orig.tar.gz
 Alternate-site: ftp://ftp.fukt.bsnet.se/pub/mandos
-		133K mandos_1.2.3.orig.tar.gz
+		103K mandos_1.0.14.orig.tar.gz
 Platforms:	Requires GCC, GNU libC, Avahi, GnuPG, Python 2.5, and
 various other libraries.  While made for Debian GNU/Linux, it is
 probably portable to other distributions, but not other Unixes.

=== modified file 'mandos.xml'
--- mandos.xml	2010-09-27 17:39:03 +0000
+++ mandos.xml	2010-09-26 18:32:58 +0000
@@ -87,9 +87,6 @@
       <sbr/>
       <arg><option>--debug</option></arg>
       <sbr/>
-      <arg><option>--debuglevel
-      <replaceable>LEVEL</replaceable></option></arg>
-      <sbr/>
       <arg><option>--no-dbus</option></arg>
       <sbr/>
       <arg><option>--no-ipv6</option></arg>
@@ -198,24 +195,6 @@
       </varlistentry>
       
       <varlistentry>
-	<term><option>--debuglevel
-	<replaceable>LEVEL</replaceable></option></term>
-	<listitem>
-	  <para>
-	    Set the debugging log level.
-	    <replaceable>LEVEL</replaceable> is a string, one of
-	    <quote><literal>CRITICAL</literal></quote>,
-	    <quote><literal>ERROR</literal></quote>,
-	    <quote><literal>WARNING</literal></quote>,
-	    <quote><literal>INFO</literal></quote>, or
-	    <quote><literal>DEBUG</literal></quote>, in order of
-	    increasing verbosity.  The default level is
-	    <quote><literal>WARNING</literal></quote>.
-	  </para>
-	</listitem>
-      </varlistentry>
-      
-      <varlistentry>
 	<term><option>--priority <replaceable>
 	PRIORITY</replaceable></option></term>
 	<listitem>

=== modified file 'plugins.d/password-prompt.c'
--- plugins.d/password-prompt.c	2010-11-05 18:30:07 +0000
+++ plugins.d/password-prompt.c	2010-09-26 18:32:58 +0000
@@ -22,23 +22,22 @@
  * Contact the authors at <mandos@fukt.bsnet.se>.
  */
 
-#define _GNU_SOURCE		/* getline(), asprintf() */
+#define _GNU_SOURCE		/* getline() */
 
 #include <termios.h> 		/* struct termios, tcsetattr(),
 				   TCSAFLUSH, tcgetattr(), ECHO */
 #include <unistd.h>		/* struct termios, tcsetattr(),
 				   STDIN_FILENO, TCSAFLUSH,
-				   tcgetattr(), ECHO, readlink() */
+				   tcgetattr(), ECHO */
 #include <signal.h>		/* sig_atomic_t, raise(), struct
 				   sigaction, sigemptyset(),
 				   sigaction(), sigaddset(), SIGINT,
 				   SIGQUIT, SIGHUP, SIGTERM,
 				   raise() */
 #include <stddef.h>		/* NULL, size_t, ssize_t */
-#include <sys/types.h>		/* ssize_t, struct dirent, pid_t, ssize_t */
+#include <sys/types.h>		/* ssize_t */
 #include <stdlib.h>		/* EXIT_SUCCESS, EXIT_FAILURE,
-				   getenv(), free() */
-#include <dirent.h>		/* scandir(), alphasort() */
+				   getenv() */
 #include <stdio.h>		/* fprintf(), stderr, getline(),
 				   stdin, feof(), fputc()
 				*/
@@ -48,9 +47,7 @@
 #include <error.h>		/* error() */
 #include <iso646.h>		/* or, not */
 #include <stdbool.h>		/* bool, false, true */
-#include <inttypes.h>		/* strtoumax() */
-#include <sys/stat.h> 		/* struct stat, lstat() */
-#include <string.h> 		/* strlen, rindex, memcmp */
+#include <string.h> 		/* strlen, rindex */
 #include <argp.h>		/* struct argp_option, struct
 				   argp_state, struct argp,
 				   argp_parse(), error_t,
@@ -65,10 +62,6 @@
 const char *argp_program_version = "password-prompt " VERSION;
 const char *argp_program_bug_address = "<mandos@fukt.bsnet.se>";
 
-/* Needed for conflic resolution */
-const char plymouthd_path[] = "/sbin/plymouth";
-
-
 static void termination_handler(int signum){
   if(quit_now){
     return;
@@ -77,74 +70,6 @@
   signal_received = signum;
 }
 
-bool conflict_detection(void){
-
-  /* plymouth conflicts with password-promt since both want to control the
-     associated terminal. Password-prompt exit since plymouth perferms the same
-     functionallity.
-   */
-  int is_plymouth(const struct dirent *proc_entry){
-    int ret;
-    {
-      uintmax_t maxvalue;
-      char *tmp;
-      errno = 0;
-      maxvalue = strtoumax(proc_entry->d_name, &tmp, 10);
-      
-      if(errno != 0 or *tmp != '\0'
-	 or maxvalue != (uintmax_t)((pid_t)maxvalue)){
-	return 0;
-      }
-    }
-    char exe_target[sizeof(plymouthd_path)];
-    char *exe_link;
-    ret = asprintf(&exe_link, "/proc/%s/exe", proc_entry->d_name);
-    if(ret == -1){
-      error(0, errno, "asprintf");
-      return 0;
-    }
-  
-    struct stat exe_stat;
-    ret = lstat(exe_link, &exe_stat);
-    if(ret == -1){
-      free(exe_link);
-      if(errno != ENOENT){
-	error(0, errno, "lstat");
-      }
-      return 0;
-    }
-  
-    if(not S_ISLNK(exe_stat.st_mode)
-       or exe_stat.st_uid != 0
-       or exe_stat.st_gid != 0){
-      free(exe_link);
-      return 0;
-    }
-  
-    ssize_t sret = readlink(exe_link, exe_target, sizeof(exe_target));
-    free(exe_link);
-    if((sret != (ssize_t)sizeof(plymouthd_path)-1) or
-       (memcmp(plymouthd_path, exe_target,
-	       sizeof(plymouthd_path)-1) != 0)){
-      return 0;
-    }
-    return 1;
-  }
-
-  struct dirent **direntries;
-  int ret;
-  ret = scandir("/proc", &direntries, is_plymouth, alphasort);
-  if (ret == -1){
-    error(1, errno, "scandir");
-  }
-  if (ret < 0){
-    return 1;
-  } else {
-    return 0;
-  }
-}
-
-
 int main(int argc, char **argv){
   ssize_t sret;
   int ret;
@@ -226,14 +151,6 @@
   if(debug){
     fprintf(stderr, "Starting %s\n", argv[0]);
   }
-
-  if (conflict_detection()){
-    if(debug){
-      fprintf(stderr, "Stopping %s because of conflict", argv[0]);
-    }
-    return EXIT_FAILURE;
-  }
-  
   if(debug){
     fprintf(stderr, "Storing current terminal attributes\n");
   }

=== modified file 'plugins.d/plymouth.c'
--- plugins.d/plymouth.c	2010-11-16 18:10:22 +0000
+++ plugins.d/plymouth.c	2010-09-26 18:32:58 +0000
@@ -1,6 +1,6 @@
 /*  -*- coding: utf-8 -*- */
 /*
- * Plymouth - Read a password from Plymouth and output it
+ * Usplash - Read a password from usplash and output it
  * 
  * Copyright © 2010 Teddy Hogeborn
  * Copyright © 2010 Björn Påhlsson
@@ -76,23 +76,21 @@
   char *prompt;
   const char *const cryptsource = getenv("cryptsource");
   const char *const crypttarget = getenv("crypttarget");
-  const char prompt_start[] = "Unlocking the disk";
-  const char prompt_end[] = "Enter passphrase";
+  const char prompt_start[] = "Enter passphrase to unlock the disk";
   
   if(cryptsource == NULL){
     if(crypttarget == NULL){
-      ret = asprintf(&prompt, "%s\n%s", prompt_start, prompt_end);
+      ret = asprintf(&prompt, "%s: ", prompt_start);
     } else {
-      ret = asprintf(&prompt, "%s (%s)\n%s", prompt_start,
-		     crypttarget, prompt_end);
+      ret = asprintf(&prompt, "%s (%s): ", prompt_start,
+		     crypttarget);
     }
   } else {
     if(crypttarget == NULL){
-      ret = asprintf(&prompt, "%s %s\n%s", prompt_start, cryptsource,
-		     prompt_end);
+      ret = asprintf(&prompt, "%s %s: ", prompt_start, cryptsource);
     } else {
-      ret = asprintf(&prompt, "%s %s (%s)\n%s", prompt_start,
-		     cryptsource, crypttarget, prompt_end);
+      ret = asprintf(&prompt, "%s %s (%s): ", prompt_start,
+		     cryptsource, crypttarget);
     }
   }
   if(ret == -1){
@@ -144,21 +142,21 @@
 	_exit(EX_OSERR);
       }
     }
-    
+
     char **new_argv = NULL;
-    char **tmp;
+    char *tmp;
     int i = 0;
-    for (; argv[i]!=NULL; i++){
+    for (; argv[i]!=(char *)NULL; i++){
       tmp = realloc(new_argv, sizeof(const char *) * ((size_t)i + 1));
       if (tmp == NULL){
 	error(0, errno, "realloc");
 	free(new_argv);
 	_exit(EX_OSERR);
       }
-      new_argv = tmp;
+      new_argv = (char **)tmp;
       new_argv[i] = strdup(argv[i]);
     }
-    new_argv[i] = NULL;
+    new_argv[i] = (char *) NULL;
     
     execv(path, (char *const *)new_argv);
     error(0, errno, "execv");
@@ -198,7 +196,7 @@
       return 0;
     }
   }
-  char exe_target[sizeof(plymouthd_path)];
+  char exe_target[sizeof(plymouth_path)];
   char *exe_link;
   ret = asprintf(&exe_link, "/proc/%s/exe", proc_entry->d_name);
   if(ret == -1){
@@ -225,9 +223,9 @@
   
   ssize_t sret = readlink(exe_link, exe_target, sizeof(exe_target));
   free(exe_link);
-  if((sret != (ssize_t)sizeof(plymouthd_path)-1) or
-      (memcmp(plymouthd_path, exe_target,
-	      sizeof(plymouthd_path)-1) != 0)){
+  if((sret != (ssize_t)sizeof(plymouth_path)-1) or
+      (memcmp(plymouth_path, exe_target,
+	      sizeof(plymouth_path)-1) != 0)){
     return 0;
   }
   return 1;
@@ -247,15 +245,7 @@
   if(maxvalue == 0){
     struct dirent **direntries;
     ret = scandir("/proc", &direntries, is_plymouth, alphasort);
-    if (ret == -1){
-      error(0, errno, "scandir");
-    }
-    if (ret > 0){
-      ret = sscanf(direntries[0]->d_name, "%" SCNuMAX, &maxvalue);
-      if (ret < 0){
-	error(0, errno, "sscanf");
-      }
-    }
+    sscanf(direntries[0]->d_name, "%" SCNuMAX, &maxvalue);
   }
   pid_t pid;
   pid = (pid_t)maxvalue;

=== modified file 'plugins.d/splashy.c'
--- plugins.d/splashy.c	2010-10-07 17:46:56 +0000
+++ plugins.d/splashy.c	2010-09-26 18:32:58 +0000
@@ -314,9 +314,7 @@
       case ENOTDIR:
       case ELOOP:
       case EISDIR:
-#ifdef ELIBBAD
-      case ELIBBAD:		/* Linux only */
-#endif
+      case ELIBBAD:
       case EPERM:
 	_exit(EX_OSFILE);
       }

